Subject: Re: nipa: tree selection fails for ipsec-next series?

From: Jakub Kicinski <[email-masked]>
Date: Wed, 27 May 2026 15:36:16 -0700

On Wed, 27 May 2026 11:05:43 +0200 Antony Antony wrote:
> Looking at the nipa source, series_tree_name_direct() matches the cover
> letter subject against _trees.keys(). Since ipsec and ipsec-next are not
> in the deployed conf_trees, the match fails and nipa falls back to
> guessing against net-next. I am guessing ipsec-next is missing in the config too.
> Where is the config nipa runs use? I didn't find the exact config nipa bot 
> used.

The netdev@ NIPA is for the netdev+bpf patchwork instance, and 
the related trees. Should be easy for y'all to spin up an instance 
for ipsec.. ?